<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="videojuegos.css">
    <title>videojuegos</title>
    <script>
        function loadXMLDoc(filename) {
            if (window.ActiveXObject) {
                xhttp = new ActiveXObject("Msxml2.XMLHTTP");
            }
            else {
                xhttp = new XMLHttpRequest();
            }
            xhttp.open("GET", filename, false);
            xhttp.send("");
            return xhttp.responseXML;
        }

        function getId() {
            const queryString = window.location.search;
            const urlParams = new URLSearchParams(queryString);
            const id = urlParams.get('id')
            return id
        }

        function displayResult(filename) {
            if (!filename) {
                console.log(getId())
                xml = loadXMLDoc(`../xml/detalle/${getId()}.xml`);
                xsl = loadXMLDoc(`../xml/detalle/detalle.xsl`);
            } else {
                xml = loadXMLDoc("../xml/videojuegos.xml");
                xsl = loadXMLDoc(`../xml/${filename}.xsl`);
            }

            if (document.implementation && document.implementation.createDocument) {
                xsltProcessor = new XSLTProcessor();
                xsltProcessor.importStylesheet(xsl);
                resultDocument = xsltProcessor.transformToFragment(xml, document);
                document.querySelector("#content").appendChild(resultDocument);
            }
        }
    </script>

</head>

<body onload = "displayResult()">
    <header>
        <img src="../src/logo.jpg" alt="Logo Web Bicis" class="logo">
        <h1>learning through play</h1>
    </header>
    <nav>
        <ul>
            <li><a href="../index.html" class="a_nav">mo4play</a></li>
            <li><a href="#" class="a_nav">videojuegos</a></li>
            <li><a href="../noticia/noticia.html" class="a_nav">noticias</a></li>
            <li><a href="#" class="a_nav">ranking</a></li>
            <li><a href="../encuesta/encuesta.html" class="a_nav">encuesta</a></li>
            <li><a href="#" class="a_nav">contacto</a></li>
        </ul>
    </nav>
    <main>
        <section class="sectionVideojuegos" id="content">
        </section>
    </main>

</body>

</html>